/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.config.utils;

/**
 * <p>Caption constants</p>
 *
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:15 $
 * @deprecated Use {@link com.queplix.core.modules.config.utils.LocalizedObjectTypes} instead
 */
@Deprecated
public interface CaptionConstants {

    //
    // Caption types
    //

    Integer LABEL_TYPE = new Integer(0);
    Integer FOCUS_TYPE = new Integer(1);
    Integer TAB_TYPE = new Integer(2);
    Integer FORM_TYPE = new Integer(3);
    Integer SERVER_TYPE = new Integer(4);
    Integer CLIENT_TYPE = new Integer(5);
    Integer POPUP_MENU_TYPE = new Integer(6);
    Integer SUB_FOCUS_TYPE = new Integer(7);
    Integer CONTEXT_MENU_TYPE = new Integer(8);
    Integer BUTTON_TYPE = new Integer(9);

}
